Subject: Re: b17 bash problem with /dev/null on Windows 95 system
From: [email-masked] ("Phillip N Toland")

9 Dec 1996 13:51:51 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "John W. Eaton" <[email-masked]>, <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

I think I know what is happeneing here. Under DOS-ish systems, every
directory has a nul device (nul is the magic name, not null as someone
suggested earlier). I believe you said earlier that you created a /dev
directory, so therefore /dev/nul exists but /dev/null doesn't. 
Unfortunately this doesn't explain why the cygwin tools can't find
/dev/null 

HTH
Phil
"Ook."  --the Librarian

----------
> 
> Yesterday, I wrote about a problem with b17, bash, and /dev/null on a
> Windows 95 system.  Some people suggested that it might be caused by
> having an old copy of cygwin.dll somewhere but I am quite certain that
> I only have files from b17 installed.
> 
> In any case, I still have the problem but have since discovered that
> although
> 
>   bash$ echo foo > /dev/null
> 
> fails,
> 
>   bash$ echo foo > /dev/nul
> 
> works (?!).
> 
> So, I kluged my way around the problem by substituting /dev/nul for
> /dev/null everywhere, and I was able to build a (sort of) working
> Octave binary.  Now on to the other nits...

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".